Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlRecursiveTreeNodesAdaptor

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.model.StackingTreeModelProvider
                  org.richfaces.component.UITreeNodesAdaptor
                      org.richfaces.component.UIRecursiveTreeNodesAdaptor
                          org.richfaces.component.html.HtmlRecursiveTreeNodesAdaptor

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlRecursiveTreeNodesAdaptor

extends UIRecursiveTreeNodesAdaptor

Component-Type org.richfaces.RecursiveTreeNodesAdaptor Component-Family org.richfaces.RecursiveTreeNodesAdaptor

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlRecursiveTreeNodesAdaptor()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.Object` | `getNodes()` Defines collection to use at the other (non-top) levels of iteration Getter for nodes
`java.lang.Object` | `getRoots()` Defines collection to use at the top of iteration Getter for roots
`java.lang.String` | `getVar()` A request-scope attribute via which the data object for the current collection element will be used when iterating Getter for var
`boolean` | `isIncluded()` This boolean expression is used to define which elements of both collections are processed Getter for included
`boolean` | `isIncludedNode()` This boolean expression is used to define which elements are processed Getter for includedNode
`boolean` | `isIncludedRoot()` This boolean expression is used to define which elements are processed appling to "roots" collection Getter for includedRoot
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setIncluded(boolean __included)` This boolean expression is used to define which elements of both collections are processed Setter for included
`void` | `setIncludedNode(boolean __includedNode)` This boolean expression is used to define which elements are processed Setter for includedNode
`void` | `setIncludedRoot(boolean __includedRoot)` This boolean expression is used to define which elements are processed appling to "roots" collection Setter for includedRoot
`void` | `setNodes(java.lang.Object __nodes)` Defines collection to use at the other (non-top) levels of iteration Setter for nodes
`void` | `setRoots(java.lang.Object __roots)` Defines collection to use at the top of iteration Setter for roots
`void` | `setVar(java.lang.String __var)` A request-scope attribute via which the data object for the current collection element will be used when iterating Setter for var

Methods inherited from class org.richfaces.component.UIRecursiveTreeNodesAdaptor
`getData, getStackingModel, includeNode`

Methods inherited from class org.richfaces.component.UITreeNodesAdaptor
`createStackingTreeModel`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlRecursiveTreeNodesAdaptor

    public HtmlRecursiveTreeNodesAdaptor()

  Constructor to init default renderers

Method Detail

### setVar

    public void setVar(java.lang.String __var)

  A request-scope attribute via which the data object for the current collection element will be used when iterating Setter for var

  Specified by:
    `setVar` in class `UIRecursiveTreeNodesAdaptor`
  Parameters:
    `var` - - new value

### getVar

    public java.lang.String getVar()

  A request-scope attribute via which the data object for the current collection element will be used when iterating Getter for var

  Specified by:
    `getVar` in class `UIRecursiveTreeNodesAdaptor`
  Returns:
    var value from local variable or value bindings

### setIncludedRoot

    public void setIncludedRoot(boolean __includedRoot)

  This boolean expression is used to define which elements are processed appling to "roots" collection Setter for includedRoot

  Specified by:
    `setIncludedRoot` in class `UIRecursiveTreeNodesAdaptor`
  Parameters:
    `includedRoot` - - new value

### isIncludedRoot

    public boolean isIncludedRoot()

  This boolean expression is used to define which elements are processed appling to "roots" collection Getter for includedRoot

  Specified by:
    `isIncludedRoot` in class `UIRecursiveTreeNodesAdaptor`
  Returns:
    includedRoot value from local variable or value bindings

### setIncludedNode

    public void setIncludedNode(boolean __includedNode)

  This boolean expression is used to define which elements are processed Setter for includedNode

  Specified by:
    `setIncludedNode` in class `UITreeNodesAdaptor`
  Parameters:
    `includedNode` - - new value

### isIncludedNode

    public boolean isIncludedNode()

  This boolean expression is used to define which elements are processed Getter for includedNode

  Specified by:
    `isIncludedNode` in class `UITreeNodesAdaptor`
  Returns:
    includedNode value from local variable or value bindings

### setRoots

    public void setRoots(java.lang.Object __roots)

  Defines collection to use at the top of iteration Setter for roots

  Specified by:
    `setRoots` in class `UIRecursiveTreeNodesAdaptor`
  Parameters:
    `roots` - - new value

### getRoots

    public java.lang.Object getRoots()

  Defines collection to use at the top of iteration Getter for roots

  Specified by:
    `getRoots` in class `UIRecursiveTreeNodesAdaptor`
  Returns:
    roots value from local variable or value bindings

### setIncluded

    public void setIncluded(boolean __included)

  This boolean expression is used to define which elements of both collections are processed Setter for included

  Specified by:
    `setIncluded` in class `UIRecursiveTreeNodesAdaptor`
  Parameters:
    `included` - - new value

### isIncluded

    public boolean isIncluded()

  This boolean expression is used to define which elements of both collections are processed Getter for included

  Specified by:
    `isIncluded` in class `UIRecursiveTreeNodesAdaptor`
  Returns:
    included value from local variable or value bindings

### setNodes

    public void setNodes(java.lang.Object __nodes)

  Defines collection to use at the other (non-top) levels of iteration Setter for nodes

  Specified by:
    `setNodes` in class `org.richfaces.model.StackingTreeModelProvider`
  Parameters:
    `nodes` - - new value

### getNodes

    public java.lang.Object getNodes()

  Defines collection to use at the other (non-top) levels of iteration Getter for nodes

  Specified by:
    `getNodes` in class `org.richfaces.model.StackingTreeModelProvider`
  Returns:
    nodes value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.